Summary: Russian man pages from the Linux Documentation Project.
Name: man-pages-ru
Version: 0.7
Release: 8
License: Distributable
Group: Documentation
URL: http://alexm.here.ru/manpages-ru/
Source: http://alexm.here.ru/manpages-ru/download/manpages-ru-%{version}.tar.gz
Patch0: man-pages-ru-0.6-rofffix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch


%description
Manual pages from the Linux Documentation Project, translated into
Russian.

%prep
%setup -q -n manpages-ru-%{version}

%build

%install
rm -fr $RPM_BUILD_ROOT
for i in man*/*; do
        iconv -f koi8-r -t UTF-8 < $i > $i.new
        mv -f $i.new $i
done
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
LC_ALL=ru_RU make install INSTALLPATH=$RPM_BUILD_ROOT/%{_mandir} \
    LANG_SUBDIR=ru
 

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%dir %{_mandir}/ru
%{_mandir}/ru/*

%changelog
* Wed Sep 29 2004 Elliot Lee <sopwith@redhat.com> 0.7-8
- Rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.7-6
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.7-5
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.7-4
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.7-1
- 0.7

* Thu Aug  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Own %%{_mandir}/ru

* Wed Apr  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- roff fixes

* Mon Feb  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Version 0.6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
